> For a complete page index of the Captain API documentation, fetch https://docs.filesearch.dev/llms.txt?excludeSpec=true

# Lookup Borrower

GET https://api.filesearch.dev/v2/datasets/odyssey/credit-analysis/borrowers/{name}

Cross-BDC borrower lookup — find a company across all BDC portfolios.

Returns every BDC that holds this borrower's debt, with position sizes,
spreads, and valuations. Reveals syndication patterns and allows
cross-lender credit deterioration monitoring.

Reference: https://docs.filesearch.dev/reference/datasets/odyssey/credit-analysis/borrowers/credit-analysis-borrower-lookup

## Request

### Path parameters

- `name` (string, required) — Borrower/company name to search across all BDC portfolios

## Response

### 200

Successful Response

- `borrower` (string, optional)
- `total_positions` (integer, optional)
- `total_lenders` (integer, optional)
- `positions` (list of any, optional)

## Errors

### 500 Internal Server Error

Internal server error

- `error` (string, required) — `INTERNAL_ERROR`.
- `message` (string, required)
- `path` (string, required)

## Examples

**Response**

```json
{
  "borrower": "Chefs' Warehouse, Inc.",
  "total_positions": 0,
  "total_lenders": 0,
  "positions": []
}
```

**SDK Code**

```python Python REST
import requests

BASE_URL = "https://api.filesearch.dev"
API_KEY = "your_api_key"

headers = {"Authorization": f"Bearer {API_KEY}"}

response = requests.get(
    f"{BASE_URL}/v2/datasets/odyssey/credit-analysis/borrowers/Chefs%27%20Warehouse%2C%20Inc.",
    headers=headers,
    timeout=60.0
)
print(response.json())
```

```typescript TypeScript REST
const BASE_URL = "https://api.filesearch.dev";
const API_KEY = "your_api_key";

const response = await fetch(`${BASE_URL}/v2/datasets/odyssey/credit-analysis/borrowers/Chefs%27%20Warehouse%2C%20Inc.`, {
    method: "GET",
    headers: { "Authorization": `Bearer ${API_KEY}` }
});
console.log(await response.json());
```